/* html,
body {
	height: 100%;
} */

#form_numer,
#form_login {
	display: none;
}

#logok_load {
	display: block;
}

.form-signin {
	max-width: 330px;
	padding: 1rem;
}

.form-signin .form-floating:focus-within {
	z-index: 2;
}

.form-signin input[type="text"] {
	margin-bottom: -1px;
	border-bottom-right-radius: 0;
	border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
	margin-bottom: 10px;
	border-top-left-radius: 0;
	border-top-right-radius: 0;
}

#blok_login {
	height: 100vh;
	/* background-color: rgba(112, 148, 219, 0.5);
	background-image: url(data:image/svg+xml;utf8;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iaXNvLTg4NTktMSI/Pgo8IS0tIEdlbmVyYXRvcjogQWRvYmUgSWxsdXN0cmF0b3IgMTkuMC4wLCBTVkcgRXhwb3J0IFBsdWctSW4gLiBTVkcgVmVyc2lvbjogNi4wMCBCdWlsZCAwKSAgLS0+CjxzdmcgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIiB4bWxuczp4bGluaz0iaHR0cDovL3d3dy53My5vcmcvMTk5OS94bGluayIgdmVyc2lvbj0iMS4xIiBpZD0iQ2FwYV8xIiB4PSIwcHgiIHk9IjBweCIgdmlld0JveD0iMCAwIDMzMiAzMzIiIHN0eWxlPSJlbmFibGUtYmFja2dyb3VuZDpuZXcgMCAwIDMzMiAzMzI7IiB4bWw6c3BhY2U9InByZXNlcnZlIiB3aWR0aD0iMjU2cHgiIGhlaWdodD0iMjU2cHgiPgo8Zz4KCTxnPgoJCTxwYXRoIGQ9Ik0xNjYsMEM3NC40LDAsMCw3NC40LDAsMTY2czc0LjQsMTY2LDE2NiwxNjZzMTY2LTc0LjQsMTY2LTE2NlMyNTcuNiwwLDE2NiwweiBNMTY2LDMxNy42Yy04My42LDAtMTUxLjYtNjgtMTUxLjYtMTUxLjYgICAgUzgyLjQsMTQuNCwxNjYsMTQuNHMxNTEuNiw2OCwxNTEuNiwxNTEuNlMyNDkuNiwzMTcuNiwxNjYsMzE3LjZ6IiBmaWxsPSIjNWM4NWQ2Ii8+Cgk8L2c+CjwvZz4KPGc+Cgk8Zz4KCQk8cGF0aCBkPSJNMjUyLjQsMTMwSDIwMlY3OS42YzAtNC0zLjItNy4yLTcuMi03LjJoLTU3LjZjLTQsMC03LjIsMy4yLTcuMiw3LjJWMTMwSDc5LjZjLTQsMC03LjIsMy4yLTcuMiw3LjJ2NTcuNiAgICBjMCw0LDMuMiw3LjIsNy4yLDcuMkgxMzB2NTAuNGMwLDQsMy4yLDcuMiw3LjIsNy4yaDU3LjZjNCwwLDcuMi0zLjIsNy4yLTcuMlYyMDJoNTAuNGM0LDAsNy4yLTMuMiw3LjItNy4ydi01Ny42ICAgIEMyNTkuMiwxMzMuMiwyNTYsMTMwLDI1Mi40LDEzMHogTTI0NS42LDE4Ny42aC0wLjRoLTUwLjRjLTQsMC03LjIsMy4yLTcuMiw3LjJ2NTAuNGgtNDMuMnYtNTAuNGMwLTQtMy4yLTcuMi03LjItNy4ySDg2Ljh2LTQzLjIgICAgaDUwLjRjNCwwLDcuMi0zLjIsNy4yLTcuMlY4Ni44SDE4OHY1MC40YzAsNCwzLjIsNy4yLDcuMiw3LjJoNTAuNFYxODcuNnoiIGZpbGw9IiM1Yzg1ZDYiLz4KCTwvZz4KPC9nPgo8Zz4KPC9nPgo8Zz4KPC9nPgo8Zz4KPC9nPgo8Zz4KPC9nPgo8Zz4KPC9nPgo8Zz4KPC9nPgo8Zz4KPC9nPgo8Zz4KPC9nPgo8Zz4KPC9nPgo8Zz4KPC9nPgo8Zz4KPC9nPgo8Zz4KPC9nPgo8Zz4KPC9nPgo8Zz4KPC9nPgo8Zz4KPC9nPgo8L3N2Zz4K);
	background-repeat:no-repeat;
	background-size:45%;
	background-position:90% 95%;
	background-attachment:fixed; */

	/* background: url(../img/kiosk_tlo.png) no-repeat 90% 95% fixed, linear-gradient(rgba(112, 148, 219, 0.5), #fff); */
	background-color: #d5e3ff;
	background-image: url(../img/kiosk_tlo.png);
	background-repeat: no-repeat;
	background-position: 90% 50%;
}


#blok_login,
#blok_load,
#blok_panel,
#zab_zatwierdz_error_mod,
#mod_uwagi_error,
#okno_loader,
#okno_panel,
#okno_kwalifikacje,
#kw_mod_okno_badreh,
#kw_mod_okno_pnr,
#okno_dokument,
#okno_lista_planowanie {
	display: none;
}

#lista_kodow_nag,
#imnaz_kto,
#imnaz_kto_s,
#zabiegi_s,
#zabiegi_dzien_s,
#obs_pnr_error,
#obs_br_error {
	display: none;
}

#zabiegi_s {
	justify-content: space-between;
}

#imnaz_kto_s {
	padding: 5px 10px;
	text-align: center;
	border-bottom: solid 1px #ddd;
}

#okno_panel {
	margin-bottom: 50px;
}

.okno {
	margin-top: 46px;
}

#okno_panel {
	margin-right: 1rem;
	margin-left: 1rem;
}

.lista_tab_godz,
.lista_tab_zdj {
	width: 150px;
}

.lista_godz {
	/* margin-bottom: 10px; */
	font-size: 1.5rem;
	text-align: center;
	font-weight: bold;
}

.lista_zdj {
	/* width: 75px; */
	width: 50px;
}

.blok_kto {
	cursor: pointer;
}

.blok_kto:hover {
	background-color: #e9ecef !important;
}

/* .karta {
	cursor: pointer;
}

.karta:hover {
	background-color: #e9ecef !important;
} */

.lista_godz_nazwa {
	font-size: 0.7rem;
	width: 105px;
}

.kursor {
	cursor: pointer;
}

.skreslony {
	text-decoration: line-through;
	color: red;
}

#zabiegi_dzien_but:active {
	border-color: transparent;
}

.godz_nazwa {
	padding: 0.5rem;
	/* padding-left: 1rem; */
	width: 75px;
	background-color: #f8f9fa;
	border-radius: 4px;
}

.list_poz {
	/* flex-direction: row; */
	flex-direction: column;
}

.karta_zdj {
	width: 44px;
	height: 44px;
	border-radius: 50%;
	background-size: cover;
	box-shadow: 0 0 4px #ddd;
}

.karta_btn > button {
	width: 100px;
}

#zabiegi_lista,
#zak_niewykonane,
#zak_wykonane,
#zak_niewykonane_tab,
#zak_wykonane_tab {
	outline: none;
}

.karta_kto {
	padding-left: 1rem;
}

.wygas {
	pointer-events: none;
	opacity: 0.5;
}

#zatw_load {
	position: absolute;
	top: 40%;
	left: 50%;
}

#okno_blokada {
	display: none;
	height: 100vh;
	width: 100vw;
	background-color: #fff;
	opacity: 0.5;
	z-index: 1000;
	position: absolute;
	top: 0;
}

#pol_error {
	display: none;
	position: fixed;
	bottom: 10px;
	z-index: 1001;
	width: 100%;
	padding: 10px;
}

#zabiegi_data {
	font-weight: 500;
}

#mod_ptw_zab,
#mod_obs,
#mod_uwagi {
	display: none;
}

.lista_obiekt {
	font-size: 0.8rem;
}

.font_1_2 {
	font-size: 1.2rem;
}

.lista_adres {
	font-size: 0.8rem;
}

.tlo_ok {
	background-color: #d1e7dd;
}

#obserwacja_opis {
	min-height: 70px;
	font-family: Tahoma;
	font-size: 14px;
}

#obserwacja_tekst > p {
	margin-bottom: 0;
}

#okna_btn {
	width: 100%;
	justify-content: space-between;
	border: 1px solid #ddd;
	padding: 0.5rem;
	border-radius: 4px;
	align-items: center;
}

.lista_szukaj {
	outline: none;
	white-space: break-spaces;
	padding-top: 5px;
	padding-bottom: 5px;
}

#kw_cofnij_lista {
	display: none;
}

.plan_godz {
	font-size: 1rem;
	/* text-align: center; */
	font-weight: bold;
	width: 32px;
	text-align: center;
}

.kw_pola_plan,
.kw_pola_plan_puste,
.kw_pola_plan_data {
	width: 250px;
}

.kw_pola_plan,
.kw_pola_plan_data {
	background-color: #fff;
	z-index: 10;
}

.kw_pola_plan_data {
	position: sticky;
	top: 0;
	display: flex;
	flex-direction: column;
}

.kw_pola_plan_zab {
	width: 300px;
	font-size: 0.8rem;
	font-weight: bold;
	overflow-wrap: anywhere;
}

.kw_plan_zabiegi {
	padding-top: 51px;
}

.plan_bg {
	background-color: #e6f5ee;
}

.plan_okno_godz {
	display: flex;
	overflow-x: auto;
	width: 100%;
	margin-right: 20px;
	overflow: scroll;
	/* height: calc(100vh - 240px); */
}

.kw_plan_kto {
	font-weight: 500;
}

.kw_plan_nazwa_zab {
	font-size: 0.6rem;
	font-style: italic;
}

.font_12 {
	font-size: 0.8rem;
}

.walidacja_err{
	border-color: #dc3545;
	padding-right: calc(1.5em + .75rem);
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: right calc(.375em + .1875rem) center;
	background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

.walidacja_podpis {
	display: none;
	width: 100%;
	margin-top: .25rem;
	font-size: .875em;
	color: var(--bs-form-invalid-color);
}

#menu_nav {
	padding: 1rem;
}

.menu_nav_btn {
	position: fixed;
	width: 100%;
	background-color: #fff;
	z-index: 1050;
	border-top: solid 1px #f1f1f1;
	box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
	padding: 0 !important;
}

.menu_nav_btn + #okno_panel,
.menu_nav_btn + #okno_panel + #okno_kwalifikacje,
.menu_nav_btn + #okno_panel + #okno_kwalifikacje + #kwal_plan_zab,
.menu_nav_btn + #okno_panel + #okno_kwalifikacje + #okno_dokument {
	padding-top: 120px;
}

#strzalka {
	display: none;
	position: fixed;
	bottom: 10px;
	right: 20px;
	font-size: 3rem;
	cursor: pointer;
}

#strzalka > i {
	background-color: #fff;
	border-radius: 30px;
}

.icf_lista_kod {
	width: 56px;
}

/* #panel_lista_osob,
#panel_kwalifikacje,
#panel_planowanie_zabiegow,
#kw_cofnij_lista {
	border: 1px solid #ddd;
	border-radius: 4px;
} */

.menu_ikony {
	width: 90px;
	border: none;
}

.menu_ikony i {
	font-size: 2rem;
}

.kw_nag_poz {
	border-radius: 4px;
	font-weight: 500;
	font-size: 1.1rem;
}

#menu_nav_pusty {
	width: 190px;
}

#kwal_lista,
#kwal_poz {
	margin-bottom: 70px;
}

#zabiegi_dzien_s {
	padding: 5px 10px;
	font-weight: 500;
	text-align: center;
	color: rgb(13, 110, 253);
}

#kw_mod_icf {
	max-height: 50vh;
	overflow: auto;
}

#opc_p_n_tekst,
#opc_t_n_tekst,
#opc_b_n_tekst {
	/* align-self: end; */
	resize: none;
}

.ta_stala_w {
	resize: none;
}

.badreh_ocena_tytul {
	border-radius: 4px;
	font-weight: 500;
	font-size: 1rem;
	padding: 2px 8px;
}

.badreh_hr {
	margin: auto;
	margin-bottom: -7px;
	border-width: 1px;
	opacity: 0.8;
	margin-left: 6.9px;
	margin-right: 6.9px;
}

.select {
	display: inline-block;
	width: 100%;
	position: relative;
	vertical-align: top;
}

.spinner_load::after {
	inset-inline-end: .625em;
	margin-top: 0;
	position: absolute;
	top: .625em;
	transform: none;
	animation: spinAround .5s linear infinite;
	border-bottom: 2px solid hsl(221, 14%, 24%);
	border-left: 2px solid hsl(221, 14%, 24%);
	border-radius: 9999px;
	border-right: 2px solid transparent;
	border-top: 2px solid transparent;
	content: "";
	display: block;
	height: 1em;
	width: 1em;
	left: 1rem;
}

.form_dok_ramka {
	position: absolute;
	width: 98%;
	height: 700px;
}

.interwal_seria_dzien_disp {
	display: inline-block;
	margin-right: 1rem;
}

.interwal_seria_dni_tyg {
	gap: 10px;
	grid-template-columns: repeat(3, 1fr);
	grid-template-rows: repeat(3, 1fr);
	justify-content: center;
}

.stopka_edytuj_icf {
	display: flex;
	justify-content: space-between;
}

.lista_obserwacji_poz {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.lista_obserwacji_poz_nag {
	padding-left: 0.5rem;
	padding-right: 1rem;
}

.error_planowanie_dni {
	display: flex;
	gap: 1rem;
	flex-wrap: wrap;
	font-weight: bold;
}

@keyframes spinAround {
	0% {
		transform:rotate(0deg)
	}
	to {
		transform:rotate(359deg)
	}
}

@media (max-width: 992px) {
	.font_12_lg {
		font-size: 0.8rem;
	}
}

@media (max-width: 768px) {
	#blok_login {
		background-position-x: 50%;
		background-size: cover;
	}

	#okno_panel {
		margin-right: 0;
		margin-left: 0;
	}

	.lista_tab_godz {
		width: 100px;
	}

	/* .lista_godz {
		font-size: 1rem;
	} */

	.lista_opis {
		font-size: 0.8rem;
	}

	.lista_zdj {
		width: 32px;
	}

	.blok_kto_zdj {
		width: 120px;
	}

	.font_12s {
		font-size: 0.8rem;
	}

	.font_0_7s {
		font-size: 0.7rem;
	}

	#zabiegi_zakladki {
		justify-content: space-between;
	}

	#zak_wykonane_tab {
		margin-left: auto;
	}

	.lista_poz {
		flex-wrap: wrap;
	}

	#zak_niewykonane_tab,
	#zak_wykonane_tab {
		font-size: 0.8rem;
		width: 160px;
	}

	#zabiegi_data,
	#zabiegi_dzien_but {
		font-size: 0.8rem;
		padding: 20px 0;
	}
  
	#zabiegi_zakladki > li {
		flex-grow: 1;
	}

	.zabiegi_tytul > h5 {
		font-size: 1rem;
	}

	.lista_godz_nazwa {
		font-size: 0.5rem;
		width: 75px;
	}

	/* .godz_nazwa {
		padding: 0;
		margin-top: 1rem;
	} */

	.list_poz {
		/* flex-direction: column-reverse; */
		flex-direction: column;
	}

	.karta {
		margin-left: 0.5rem;
		margin-right: 0.5rem;
	}

	.karta_tresc {
		padding: 0.5rem;
	}

	.karta_zdj {
		width: 30px;
		height: 30px;
	}

	.karta_kto {
		padding-left: 0;
	}

	.godz_nazwa {
		padding-left: 0.5rem;
	}

	/* .osoba_dane {
		text-align: center;
	} */

	.karta_btn {
		text-align: center;
	}

	.karta_btn > button {
		width: 80%;
	}

	/* .poz_telefon {
		margin-top: 10px;
	} */

	/* .lista_kto {
		margin-bottom: 0.4rem;
	} */

	.lista_obiekt {
		font-size: 0.7rem;
	}

	.lista_adres {
		font-size: 0.7rem;
		margin-bottom: 0.4rem;
	}

	.obs_kto,
	.obs_rodzaj {
		font-size: 0.6rem;
	}
  
	#obserwacja_opis {
		font-size: 0.8rem;
	}

	#kw_pola_siatka_plan {
		flex-direction: column;
	}

	.kw_pola_plan,
	.kw_pola_plan_puste,
	.kw_pola_plan_zab,
	.kw_pola_plan_data {
		width: 100%;
	}

	.kw_pola_plan,
	.kw_pola_plan_data {
		background-color: rgba(13,110,253, 0.25);
	}

	.kw_pola_plan_data {
		position: relative;
		top: unset;
		flex-direction: row;
		justify-content: space-around;
	}

	.kw_plan_zabiegi {
		padding-top: 20px;
	}

	.plan_okno_godz {
		display: block;
		overflow: hidden;
		height: auto;
	}

	.icf_lista_kod {
		width: 40px;
	}

	.icf_lista_nazwa {
		font-size: 0.7rem;
	}

	.kw_nag_poz {
		font-size: 1rem;
	}

	#imnaz_kto {
		display: none !important;
	}

	#imnaz_kto_s {
		font-weight: bold;
	}

	#menu_nav_pusty {
		width: 10px;
	}

	.badreh_ocena_tytul {
		font-size: 0.8rem;
	}

	.badreh_hr {
		margin-bottom: -6px;
	}

	.osm_pills > button {
		padding-left: 0.5rem;
		padding-right: 0.5rem;
	}

	.osm_tc_sm {
		text-align: center;
	}

	#pole_sort {
		flex-direction: column-reverse;
	}

	.interwal_seria_dzien_disp {
		display: block;
		margin-right: 0;
	}

	.menu_ikony {
		width: 70px;
	}

	.menu_ikony i {
		font-size: 1rem;
	}

	.lista_obserwacji_poz {
		display: block;
	}

	.lista_obserwacji_poz_nag {
		padding: 0;
	}
  
	.error_planowanie_dni {
		display: block;
	}
}

@media (max-width: 576px) {
	.osm_pills > button {
		padding-left: 0.3rem;
		padding-right: 0.3rem;
	}
}
